<?php

////////////////////////////////////// PHOTO /////////////////////////////////////
function creation_vignette($image,$largeur_max , $hauteur_max ,$source , $prefixe){ 
global $success;
$destination=$source.$prefixe;

if(!file_exists($destination)){
     mkdir ($destination);
 }
$destination.='/';

if (file_exists($source.$image)) {
 
	// on vrifie la taille de l'image
	if (TAILLE_MAX_PHOTO*1024>filesize($source.$image)){
    	
    	
	
 	// On verifie que l'extention du fichier est bien une image jpg,jpeg ou gif ou png
 	$ext=strtolower(strrchr($image,'.'));   // echo "$ext"; 
 	$l = array('.jpg','.jpeg','.gif','.png');
  	if (in_array( $ext, $l)){
 	
    
    	$size = getimagesize($source.$image);
 		$largeur_src=$size[0];
 		$hauteur_src=$size[1];
    
    		 //2ieme verification -> on verifie que le type du fichier est un jpg,jpeg ou gif
 			// $size[2] -> type de l'image : 1 = GIF , 2 = JPG,JPEG
 		if ($size[2]==1 OR $size[2]==2 OR $size[2]==3){
 			
 		
 			ini_set("memory_limit",MEMORY_LIMIT.'M');// pour le traitement des grosse images
 			
 			
 			switch ($size[2]){
 				case 1:$image_src=imagecreatefromgif($source.$image);break;
 				case 2:$image_src=imagecreatefromjpeg($source.$image);break;
 				case 3:$image_src=imagecreatefrompng($source.$image);break;
 			}
 			
 			
 			
 			 // on verifie que l'image source ne soit pas plus petite que l'image de destination
			if ($largeur_src>$largeur_max OR $hauteur_src>$hauteur_max){
 		    // si la largeur est plus grande que la hauteur
  				if ($hauteur_src<=$largeur_src){
   		    	$ratio=$largeur_max/$largeur_src;
   				}
   				else{
         		$ratio=$hauteur_max/$hauteur_src;
             	}
 			}
 			else{
    		$ratio=1;  // l'image cree sera identique  l'originale
 			}

 			$image_dest=imagecreatetruecolor(round($largeur_src*$ratio), round($hauteur_src*$ratio));
			imagecopyresized($image_dest,$image_src,0,0,0,0,round($largeur_src*$ratio),round($hauteur_src*$ratio),$largeur_src,$hauteur_src);
 			
 			if(!imagejpeg($image_dest, str_replace('//','/',$destination.$prefixe.'-'.$image))){
       		echo '<span class=red>la cration de la vignette a echoue pour l\'image '.$image.'</span><br />';
      		$success=false;
      		}
			else 
			{
			echo '<span class=green>cr&#233;ation de '.str_replace('//','/',$destination.$prefixe.'-'.$image).'</span><br />';
			  $success=true;
			}
  				
 			}
     		else{ //if ($size[2]==1 OR $size[2]==2){
     			echo '<span class=red>Format non support'. $source.$image.'</span><br>'; 
     			$success=false;   			
 			} //if ($size[2]==1 OR $size[2]==2){
        
 	}
 	else { // 	if (in_array( $ext, $l)){
 		if($ext!='.html'){
 		echo '<span class=red>Votre image doit tre un jpg,jpeg,gif ou png :'. $source.$image.'</span><br>';
    	$success=false;
 		}
    }  // 	if (in_array( $ext, $l)){	
    
	} //if (TAILLE_MAX_PHOTO*1024<filesize($source.$image)){
   else{ //if (TAILLE_MAX_PHOTO*1024<filesize($source.$image)){
   	 echo('<span class=bigred>N&eacute;gatif de '.$image.' ( '.round(filesize($source.$image)/1024,2) .' ko) taille sup&eacute;rieure &agrave; la limite de '.TAILLE_MAX_PHOTO.' ko ==> l\'image ne peut pas tre trait&eacute;</span><br>');
  
   	$success=false;
   }
    
} //// if (file_exists($source.$image)) {



else { // if (file_exists($source.$image)) {
     echo '<span class=red>L\'image '. $image .' n\'existe pas</span>';
     $success=false;
   }// if (file_exists($source.$image)) {

} //function

//////////////
function insertion_album_mysql($album){
global $success;
				$sql='Select id_album  FROM '.MYSQL_PREFIX.'albums where path_album=\''.$album.'\'' ;
				$query=mysql_query($sql) or die('Erreur SQL !'.$sql.'<br>'.mysql_error());
 				$nb = mysql_num_rows($query);

				if ( $nb==0 ) {
			
				$sql='INSERT INTO '.MYSQL_PREFIX.'albums  VALUES(\'\',\''.$album.'\',\'\')';
				mysql_query($sql) or die('Erreur SQL !'.$sql.'<br>'.mysql_error());
			//	echo "<span class=green>insertion de $album dans la table albums</span><br>";
			//	$success.="<span class=red>insertion de $album dans la table albums</span><br>";
				
				}
				else
				{//echo "<span class=red> $album existe d&#233;ja dans la table albums</span><br>";
				}				
				
	
}
function create_mysql($path){
	
	$album= str_replace(PATHPHOTOS.'/','',$path);
				if($album!=''){
				insertion_album_mysql($album);										
                }	
}  

function image_infos($file,$album){
$file=PATHPHOTOS.'/'.$album . '/' . $file;

$exif = @exif_read_data($file, 0, true);
if (isset($exif['EXIF']['DateTimeOriginal']))
$info['date_exif_photo']=$exif['EXIF']['DateTimeOriginal'];					
$size = getimagesize($file);
$info['width_photo']=$size[0];
$info['height_photo']=$size[1];
$info['size_photo']=filesize($file);
return $info;					
}


function listeDate($file,$album){
$info=image_infos($file,$album);
//echo "info['date_exif_photo']=".$info['date_exif_photo'];
$ext=strrchr($file,'.');

//$nomdate[0]=date_format(date_create($info['date_exif_photo']),"Y-m-d_H;i;s").$ext;
//$nomdate[1]=date_format(date_create($info['date_exif_photo']),"Y-m-d").$ext;

$LISTE_FORMAT_DATE=array("Y-m-d_H;i;s","Y-m-d-H-i-s","Y-m-d_H-i-s","YmdHis","d-m-Y","D-d-M-Y","Y-m-d","Ymd");

if ($info['date_exif_photo']!=''){
echo '<select class="list" name="listeDate" onchange="document.getElementById(\'nom_photo\').value=this.value">';
	echo	 '<option value="">Choisir le format de date...</option>'; 
	for ($i=0;$i<count($LISTE_FORMAT_DATE);$i++){
		$nomdate[$i]=date_format(date_create($info['date_exif_photo']),$LISTE_FORMAT_DATE[$i]).$ext;
	echo	 '<option value="'.$nomdate[$i].'">'.$nomdate[$i].'</option>'; 
		
	}	 
	echo '</select>';
}
else{
	echo 'Renommage selon date impossible car la date EXIF est vide';
}
}
function insertion_photo_mysql($album,$file,$update_mysql){
	global $success;
				$sql='Select id_album  FROM '.MYSQL_PREFIX.'albums where path_album=\''.$album.'\'' ;
				$query=mysql_query($sql) or die('Erreur SQL !'.$sql.'<br>'.mysql_error());
 				$data = mysql_fetch_assoc($query);
				$id_album=$data['id_album'];
				$sql='Select id_photo  FROM '.MYSQL_PREFIX.'photos where nom_photo=\''.$file.'\' and id_album=\''.$id_album.'\'';
				$query=mysql_query($sql) or die('Erreur SQL !'.$sql.'<br>'.mysql_error());
 				$nb = mysql_num_rows($query);
				
				$l = array('.jpg','.jpeg','.gif','.png');
				
				$sqltrash='Select id_photo  FROM '.MYSQL_PREFIX.'photos_trash where nom_photo=\''.$file.'\' and id_album=\''.$id_album.'\'';
				$querytrash=mysql_query($sqltrash) or die('Erreur SQL !'.$sqltrash.'<br>'.mysql_error());
 				$nbtrash = mysql_num_rows($querytrash);							
				
				if ( $nb==0 && $nbtrash==0) {
									
					$ext=strtolower(strrchr($file,'.'));   // echo "$ext"; 
				
  					if (in_array( $ext, $l)){
 					//if ($ext=='.jpg'OR $ext=='.jpeg'OR $ext=='.gif'){
					$info=image_infos($file,$album);
					$sql='INSERT INTO '.MYSQL_PREFIX.'photos VALUES(\'\',\''.$id_album.'\', \''.$file.'\',\'\',\''.$info['date_exif_photo'].'\',\''.$info['width_photo'].'\',\''.$info['height_photo'].'\',\''.$info['size_photo'].'\')';
					mysql_query($sql) or die('Erreur SQL !'.$sql.'<br>'.mysql_error());
					echo '<span class=green>insertion de '.$file .' dans la table photos</span><br>';
					} //if(  $success==true){
					else{ //if(  $success==true){
						if ($ext!='.html')
					echo '<span class=red>'. PATHPHOTOS.'/'.$album . '/' .$file .' n\'est pas une image valide ligne non insr dans la table photos</span><br>';
				
					}			
								
				}
				else{
				      if($update_mysql==true){
				        // on update les infos de la photos
				        ///////
				        $ext=strtolower(strrchr($file,'.'));   // echo "$ext"; 
 				       	//if ($ext=='.jpg'OR $ext=='.jpeg'OR $ext=='.gif'){
 				       	if (in_array( $ext, $l)){
 				       	
					   	$info=image_infos($file,$album);
					 	$trash=($nb==1)?'':'_trash';
                		$sql='update '.MYSQL_PREFIX.'photos'.$trash .' set date_exif_photo=\''.$info['date_exif_photo'].'\',width_photo=\''.$info['width_photo'].'\',height_photo=\''.$info['height_photo'].'\',size_photo=\''.$info['size_photo'].'\' where nom_photo=\''.$file.'\'';
						mysql_query($sql) or die('Erreur SQL !'.$sql.'<br>'.mysql_error());
						}
						else{
						echo '<span class=red>'. PATHPHOTOS.'/'.$album . '/' .$file .' n\'est pas une image valide ligne non insr dans la table photos</span><br>';
         				 }
				        ///////
				        
				        if ($nb==1)	echo '<span class=green>La ligne '.$file.' a t mis  jour dans la table photos</span><br>';
				      	else echo '<span class=green>La ligne '.$file .'a t mis  jour  dans la table photos_trash</span><br>';
              			}
              else{
					  if ($nb==1)	echo '<span class=red>La ligne '.$file.' existe d&#233;ja dans la table photos</span><br>';
				      else echo '<span class=red>La ligne '.$file.' existe d&#233;ja dans la table photos_trash</span><br>';
				}
				
				}
			
}


function create_thumb_mysql($path,$update_mysql){
	
			global $success;
			 create_mysql($path);
			 
			//  $level=getLevel($path);
              if (!file_exists($path)) echo '<span class=red>'.$path.' not an existing directory</span><br />';
              if (!is_dir($path)) echo '<span class=red>'.$path.' isnt a directory</span><br />';

              $main_dir =opendir ($path) or die('<span class=red> Error reading '.$path.'</span><br />');
           
              while ($entry=readdir($main_dir))
              {
              	
              	$album= str_replace(PATHPHOTOS.'/','',$path);
				if($album!=''){
				insertion_album_mysql($album);										
                }	
              	
                      if (filetype($path.'/'.$entry)=='dir') {
                              if($entry!='.'and  $entry!='..'){ 
										if ($entry!=REPMEDIUM and $entry!=REPSMALL)
                                    create_thumb_mysql($path.'/'.$entry,$update_mysql);
                                         
                                                                      
                              }                                                            
                      }
                      
                else if(filetype($path.'/'.$entry)=='file') {
                                					
				$file=$entry;
						
				if (!file_exists($path.'/'.REPSMALL.'/'.REPSMALL.'-'.$file)) 
				{creation_vignette($file,TAILLESMALL,TAILLESMALL,$path.'/',REPSMALL);
				//@fopen($path.'/',REPSMALL.'/index.html',"W");
				}
				else
				{
				echo '<span class="red">'.$path.'/'.REPSMALL.'/'.REPSMALL.'-'.$file.' existe d&#233;j&#224;</span><br>';
				}

				if (!file_exists($path.'/'.REPMEDIUM.'/'.REPMEDIUM.'-'.$file))
				{creation_vignette($file,WIDTHMEDIUM,HEIGHTMEDIUM,$path.'/',REPMEDIUM);
				//@fopen($path.'/',REPMEDIUM.'/index.html',"W");
				}
				
				else				
				{
				echo '<span class="red">'.$path.'/'.REPMEDIUM.'/'.REPMEDIUM.'-'.$file.' existe d&#233;j&#224;</span><br>';
				}
                
				if (TAILLE_MAX_PHOTO*1024>filesize($path.'/'.$file))
				insertion_photo_mysql($album,$file,$update_mysql);
				else  echo('<span class=bigred> '.$file.' non insr dans la base mysql ( '.round(filesize($path.'/'.$file)/1024,2) .' ko) taille sup&eacute;rieure &agrave; la limite de '.TAILLE_MAX_PHOTO.' ko</span><br>');
  
				  }
                                       
              }
              
}
      
function create_all_thumb_mysql($dir){
	
$dossier=opendir($dir);
$retour = array();

$l = array('.', '..',REPSMALL,REPMEDIUM,'index.html');
while ($fichier = readdir($dossier)) { 	
 	 if (!in_array( $fichier, $l)){
 	  	$pathalbum=$dir.'/'.$fichier;
 	 	if (!is_file($pathalbum)){
			if(can_contain_image($pathalbum)){
 	  			echo $pathalbum.'<br>';
          		create_thumb_mysql($pathalbum,false);
          		@fopen($pathalbum.'/index.html',"w");
          		@fopen($pathalbum.'/'.REPMEDIUM.'/index.html',"w");
				@fopen($pathalbum.'/'.REPSMALL.'/index.html',"w");
          		echo '<hr>';
			}
  $retour[$fichier] = create_all_thumb_mysql($dir.'/'.$fichier);
  } 
 } 	//if (!in_array( $fichier, $l)){
} //while
	
} //function

function maj_exif($album,$file){
	// a retier si toutes la ligne sont dja a jour

	$exif = @exif_read_data(PATHPHOTOS.'/'.$album . '/' . $file, 0, true);
   	if (isset($exif['EXIF']['DateTimeOriginal']))
	$date_exif_photo=$exif['EXIF']['DateTimeOriginal'];
	
	$sql=' update '.MYSQL_PREFIX.'photos set date_exif_photo=\''.$date_exif_photo.'\' where  nom_photo=\''.$file.'\'';
	$query=mysql_query($sql) or die('Erreur SQL !'.$sql.'<br>'.mysql_error());
 	//echo '<span class=green>date:'.$date_exif_photo.' ajout pour '.$_SERVER['DOCUMENT_ROOT'].'/'.PATHPHOTOS.'/'.$album . '/'. $file.'<span><br>';
  	
	
}



////////////////////////////////////// END PHOTO /////////////////////////////////////

////////////////////////////////////// ADMIN  PHOTO /////////////////////////////////////


function getLevel_dir($path) {
                      str_replace('//','/',$path);
                      $numL=substr_count($path,'/');//pour linux
                      $numW=substr_count($path,'\\');// pour windows
                      //return $numL-1;
                      return $numL+$numW-1;
                      
}

function getLevel_album($path) {
                      str_replace('//','/',$path);
                      $num=substr_count($path,'/');
                      return $num;
}

function checkbox_albums(){
$sql='Select *  FROM '.MYSQL_PREFIX.'albums ';
$query=mysql_query($sql) or die('Erreur SQL !'.$sql.'<br>'.mysql_error());
	while ($data=mysql_fetch_array($query))
	{
	echo '<input name="albums[]" class="cbradio" type="checkbox" value="'.$data['id_album'].'" >'. $data['path_album'].'<br />';
	}	
}

function select_users($selected,$onchange){
$sql='Select id_user,login_user  FROM '.MYSQL_PREFIX.'users';
$query=mysql_query($sql) or die('Erreur SQL !'.$sql.'<br>'.mysql_error());
		echo '<select  name="id_user" onchange="'.$onchange.'"><option value=""></option>';
		while ($data=mysql_fetch_array($query))
		{
		$select = ($data['id_user']==$selected) ? ' selected ' : '';
		//$etoile = ($data['login_user']==ADMIN) ? ' * ' : '';
		
		if(!is_admin($data['id_user'])) echo '<option  value="'.$data['id_user'].'"  '.$select.'>'. $data['login_user'].'</option>';
		}
		echo '</select>';
}


function select_albums($selected,$onchange){
$sql='Select id_album,path_album  FROM '.MYSQL_PREFIX.'albums order by path_album';
$query=mysql_query($sql) or die('Erreur SQL !'.$sql.'<br>'.mysql_error());
		echo '<select   name="id_album" onchange="'.$onchange.'"><option value=""></option>';
		while ($data=mysql_fetch_array($query))
		{
		$select = ($data['id_album']==$selected) ? ' selected ' : '';
		
		echo '<option  value="'.$data['id_album'].'"  '.$select.'>'. $data['path_album'].'</option>';
		}
		echo '</select>';
}


function select_albums_path(){
$sql='Select path_album  FROM '.MYSQL_PREFIX.'albums order by path_album';
$query=mysql_query($sql) or die('Erreur SQL !'.$sql.'<br>'.mysql_error());

		echo '<select   name="path"><option value=""></option>';
		while ($data=mysql_fetch_array($query))
		{		
		echo '<option  value="'.$data['path_album'].'">'. $data['path_album'].'</option>';
		}
		echo '</select>';
}
function select_albums_id_path($id_album_default){
$sql='Select *  FROM '.MYSQL_PREFIX.'albums order by path_album';
$query=mysql_query($sql) or die('Erreur SQL !'.$sql.'<br>'.mysql_error());
$selected='';
$selected[$id_album_default]='selected';

		echo '<select   name="id_album"><option value=""></option>';
		while ($data=mysql_fetch_array($query))
		{		
		echo '<option '.$selected[$data['id_album']].' value="'.$data['id_album'].'">'. $data['path_album'].'</option>';
		}
		echo '</select>';
}
 

function users_albums($id_user){
$sql='Select *  FROM '.MYSQL_PREFIX.'albums order by path_album ';
$query=mysql_query($sql) or die('Erreur SQL !'.$sql.'<br>'.mysql_error());

$sql2='Select id_album  FROM '.MYSQL_PREFIX.'users_albums where id_user=\''.$id_user.'\'';
$query2=mysql_query($sql2) or die('Erreur SQL !'.$sql2.'<br>'.mysql_error());

$i=1;
while ($data2=mysql_fetch_array($query2)){
			$data3[$i]=$data2['id_album'];
			$i++;
}
		
while ($data=mysql_fetch_array($query))
	{
		if($id_user!='' and count($data3)!=0)
		$check=(array_search($data['id_album'],$data3) ) ? 'checked':'';
		//echo str_repeat('&nbsp;&nbsp;&nbsp;&nbsp;',getLevel_album($data['path_album'])).
 		echo '<input   class="cbradio" name="id_album[]" type="checkbox" value="'.$data['id_album'].'" '.$check.'>'. $data['path_album'].'<br />';
	}
			
}


function albums_users($id_album){
$sql='Select *  from '.MYSQL_PREFIX.'users order by login_user ';
$query=mysql_query($sql) or die('Erreur SQL !'.$sql.'<br>'.mysql_error());

$sql2='Select id_user  FROM '.MYSQL_PREFIX.'users_albums where id_album=\''.$id_album.'\'';
$query2=mysql_query($sql2) or die('Erreur SQL !'.$sql2.'<br>'.mysql_error());


$i=1;
while ($data2=mysql_fetch_array($query2)){
			$data3[$i]=$data2['id_user'];
			$i++;
}
		
while ($data=mysql_fetch_array($query))
	{
		if($id_album!='' and count($data3)!=0)
		$check=(array_search($data['id_user'],$data3) ) ? 'checked':'';
		if(!is_admin($data['id_user'])) echo '<input class="cbradio" name="id_user[]" type="checkbox" value="'.$data['id_user'].'" '.$check.'>'. $data['login_user'].'<br />';
	}
			
}


function mails_users($id){
$sql='Select *  from '.MYSQL_PREFIX.'users order by login_user ';
$query=mysql_query($sql) or die('Erreur SQL !'.$sql.'<br>'.mysql_error());

$sql2='Select sendto  FROM '.MYSQL_PREFIX.'mail where id=\''.$id.'\'';
$query2=mysql_query($sql2) or die('Erreur SQL !'.$sql2.'<br>'.mysql_error());

$data2=mysql_fetch_array($query2);//faire un tablea avec les valeurs
$array_mail=explode(';',$data2['sendto']);	
while ($data=mysql_fetch_array($query))
	{
		if($id!='' )
		$check=(array_search($data['email_user'],$array_mail)) ? 'checked':'';
		$temp.='<input name="sendto[]" class="cbradio" type="checkbox" value="'.$data['email_user'].'" '.$check.'>'. $data['login_user'].'<br />';
	}
		return $temp;		
}



function disabled_if_contain_image($dir){
$dossier=opendir($dir);
   $l = array('.', '..',REPSMALL,REPMEDIUM,'index.html');
  	while ($fichier = readdir($dossier)) { 	
 	  if (!in_array( $fichier, $l)){
 	  	if (is_file($dir.'/'.$fichier)){
 	  		return 'disabled';
 	  		break;
 	  	}
 	  }
  	}
}

function can_contain_image($dir){

if(count(scandir($dir))==2){ // le dossier est vide
return true;
break;
}

$dossier=opendir($dir);
   $l = array('.', '..',REPSMALL,REPMEDIUM,'index.html');
  	while ($fichier = readdir($dossier)) { 	
 	  if (!in_array( $fichier, $l)){
 	  	if (is_dir($dir.'/'.$fichier)){
 	  		return false;
 	  		break;
 	  	}
 	  }
  	} 
return true;
}

function litrdir($dir,$typechamp){
 // liste recurisvement les dossiers
  // retourne un tableau rcursiv : un sous tableau reprsente un sous dossier
  // les . et .. sont ignors
  // Pour lister les noms des fichiers et dossiers d'un dossier, lisez les cls
  // Pour lister les noms des fichiers, lisez les valeurs qui ne sont pas des tableaux

$dossier=opendir($dir);
$retour = array();
switch($typechamp){
case 'checkbox' :
  $l = array('.', '..',REPSMALL,REPMEDIUM,'index.html');
  while ($fichier = readdir($dossier)) { 	
 	  if (!in_array( $fichier, $l)){
 	  	if (!is_file($dir.'/'.$fichier)){
 	  	$disabled=(can_contain_image($dir.'/'.$fichier)==true)?'':'disabled';
 	  	echo str_repeat('&nbsp;&nbsp;&nbsp;&nbsp;',getLevel_dir($dir));
       	echo '<input '.$disabled.' class="cbradio" name="LISTREP[]" type="checkbox" value="'.str_replace(PATHPHOTOS.'/','',$dir.'/'.$fichier).'"/>'.str_replace(PATHPHOTOS.'/','',$dir.'/'.$fichier).'<br>';
  		
		/*			
 	  	//echo $dir."/".$fichier."<br>";
      if(can_contain_image($dir.'/'.$fichier)==true){      	
  		 	echo str_repeat('&nbsp;&nbsp;&nbsp;&nbsp;',getLevel_dir($dir));
		  	echo '<input class="cbradio" name="LISTREP[]" type="checkbox" value="'.str_replace(PATHPHOTOS.'/','',$dir.'/'.$fichier).'"/>'.str_replace(PATHPHOTOS.'/','',$dir.'/'.$fichier).'<br>';
  			//break;
  			  // $retour[$fichier] = litrdir($dir.'/'.$fichier,$typechamp);
        }
  	   else{ 
  	   echo str_repeat('&nbsp;&nbsp;&nbsp;&nbsp;',getLevel_dir($dir));
       	echo '<input disabled class="cbradio" name="LISTREP[]" type="checkbox" value="'.str_replace(PATHPHOTOS.'/','',$dir.'/'.$fichier).'"/>'.str_replace(PATHPHOTOS.'/','',$dir.'/'.$fichier).'<br>';
  		 */	
          $retour[$fichier] = litrdir($dir.'/'.$fichier,$typechamp);
 	  	
   // }
  } 
 } 	//if (!in_array( $fichier, $l)){
}
break;
case 'radioNew' :
  	while ($fichier = readdir($dossier)) {
 	 $l = array('.', '..',REPMEDIUM,REPSMALL,'index.html'); 	
  		if (!in_array( $fichier, $l)){
  			if (is_dir($dir.'/'.$fichier)){   			
				$disabled=disabled_if_contain_image($dir.'/'.$fichier);
				//echo "getLevel_dir($dir)=".getLevel_dir($dir);
				echo str_repeat('&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;',getLevel_dir($dir));
				echo '<input class="cbradio"  '.$disabled .' id="REP" name="REP" type="radio" value="'.$dir.'/'.$fichier.'"/>'.str_replace(PATHPHOTOS.'/','',$dir.'/'.$fichier).'<br>';
  				$retour[$fichier] = litrdir($dir.'/'.$fichier,$typechamp);
  			}
  		}        
  	}  	

break;
 
case 'selectUpload' :
//echo '<select>';
  	while ($fichier = readdir($dossier)) {
 	 $l = array('.', '..',REPMEDIUM,REPSMALL,'index.html'); 	
  		if (!in_array( $fichier, $l)){
  			if (is_dir($dir.'/'.$fichier)){   			
				$disabled=(can_contain_image($dir.'/'.$fichier)==true)?'':'disabled';
				echo '<option '.$disabled.' name="REP" value="'.$dir.'/'.$fichier.'">'. str_replace(PATHPHOTOS.'/','',$dir.'/'.$fichier).'</option>';
  	 	 		$retour[$fichier] = litrdir($dir.'/'.$fichier,$typechamp);
  			}
  		}        
  	}  	
//echo '</select>';
break; 

case 'array' :
	while ($fichier = readdir($dossier)) {
 	 $l = array('.', '..',REPMEDIUM,REPSMALL,'index.html');
  		if (!in_array( $fichier, $l)){
  			if (is_dir($dir.'/'.$fichier)){
  					$test.=str_replace(PATHPHOTOS.'/','',$dir.'/'.$fichier).'<br>';
  				 	$retour[$fichier] = litrdir($dir.'/'.$fichier,$typechamp);
  			}
  		}
	}
	echo $test;
}

}
                  

function advRmDir( $dir )
{
  
 // ajout du slash a la fin du chemin s'il n'y est pas
 if( !preg_match( "/^.*\/$/", $dir ) ) $dir .= '/';
  
 // Ouverture du repertoire demande
 $handle = @opendir( $dir );
  
 // si pas d'erreur d'ouverture du dossier on lance le scan
 if( $handle != false )
 {
   
  // Parcours du repertoire
  while( $item = readdir($handle) )
  {
   if($item != '.' && $item != '..')
   {
    if( is_dir( $dir.$item ) )
     advRmDir( $dir.$item );
    else {unlink( $dir.$item ); 
    echo '<span class=green>supression de '. $dir.$item.' </span><br>';}
   }
  }
   
  // Fermeture du repertoire
  closedir($handle);
   
  // suppression du repertoire
  $res = rmdir( $dir );
    echo '<span class=green>supression de '.$dir.' </span><br>';
 }
 else $res = false;
  
 return $res;
  
}


function advRmDir2( $dir )
// on efface les fichier sans effacer les rpertoires
{
  
 // ajout du slash a la fin du chemin s'il n'y est pas
 if( !preg_match( "/^.*\/$/", $dir ) ) $dir .= '/';
  
 // Ouverture du repertoire demande
 $handle = @opendir( $dir );
  
 // si pas d'erreur d'ouverture du dossier on lance le scan
 if( $handle != false )
 {
   
  // Parcours du repertoire
  while( $item = readdir($handle) )
  {
   if($item != '.' && $item != '..')
   {
    if (! is_dir( $dir.$item ) ){
    	
    unlink( $dir.$item );
    echo '<span class=green>supression de '.$dir.$item.' </span><br>';
        } 
   }
  }
   
  // Fermeture du repertoire
  closedir($handle);

   
 }
 else $res = false;
  
 return $res;
  
}

function advRmDir_FreeFr($dossier) {
	// rmdir ne marche pas chez free.fr ...
	$ouverture=@opendir($dossier);
	if (!$ouverture) return;
	while($fichier=readdir($ouverture)) {
		if ($fichier == '.' || $fichier == '..') continue;
			if (is_dir($dossier."/".$fichier)) {
				$r=advRmDir_FreeFr($dossier."/".$fichier);
				if (!$r) return false;
			}
			else {
				$r=@unlink($dossier."/".$fichier);
				if (!$r) return false;
			}
	}
closedir($ouverture);
$r=@rmdir($dossier);
@rename($dossier,".trash");
return true;
}

function add_index_html( $dir ){  
 // ajout du slash a la fin du chemin s'il n'y est pas
if( !preg_match( "/^.*\/$/", $dir ) ) $dir .= '/';
  
// Ouverture du repertoire demande
$handle = @opendir( $dir );
  
// si pas d'erreur d'ouverture du dossier on lance le scan
if( $handle != false ){
   
  // Parcours du repertoire
	while( $item = readdir($handle)){
   		if($item != '.' && $item != '..'){
    		if(is_dir( $dir.$item )){
    			$index=$dir.'index.html';    			
    			if (!file_exists($index)){
    				if(fopen($index,"w"))
    				echo '<span class=green>Ajout de '. $index.' </span><br>';
    			}
    			$index=$dir.REPSMALL.'/index.html';    			
    			if (!file_exists($index) && file_exists($dir.REPSMALL)){
    				if(fopen($index,"w"))
    				echo '<span class=green>Ajout de '. $index.' </span><br>';
    			}
    			$index=$dir.REPMEDIUM.'/index.html';    			
    			if (!file_exists($index) && file_exists($dir.REPMEDIUM)){
    				if(@fopen($index,"w"))
    				echo '<span class=green>Ajout de '. $index.' </span><br>';
    			}   			
    			
    			add_index_html( $dir.$item );
    		}
    		
   			else {
   				
   			}
  		}
  }
   
  // Fermeture du repertoire
  closedir($handle);
   


 }
 else $res = false;
  
 return $res;
  
}

function advRmThumb_db( $dir ){  
 // ajout du slash a la fin du chemin s'il n'y est pas
if( !preg_match( "/^.*\/$/", $dir ) ) $dir .= '/';
  
// Ouverture du repertoire demande
$handle = @opendir( $dir );
  
// si pas d'erreur d'ouverture du dossier on lance le scan
if( $handle != false ){
   
  // Parcours du repertoire
	while( $item = readdir($handle)){
   		if($item != '.' && $item != '..'){
    		if(is_dir( $dir.$item )){
    			advRmThumb_db( $dir.$item );
    		}
    		
   			else {
   				if ($item=='Thumbs.db'){
   					unlink( $dir.$item ); 
   					echo '<span class=green>supression de '. $dir.$item.' </span><br>';
   				}
   			}
  		}
  }
   
  // Fermeture du repertoire
  closedir($handle);
   


 }
 else $res = false;
  
 return $res;
  
}

// themes
function users_albumthemes($id_user){
$sql='Select *  FROM '.MYSQL_PREFIX.'albumthemes order by nom_albumtheme ';
$query=mysql_query($sql) or die('Erreur SQL !'.$sql.'<br>'.mysql_error());

$sql2='Select id_albumtheme  FROM '.MYSQL_PREFIX.'users_albumthemes where id_user=\''.$id_user.'\'';
$query2=mysql_query($sql2) or die('Erreur SQL !'.$sql2.'<br>'.mysql_error());

$i=1;
while ($data2=mysql_fetch_array($query2)){
			$data3[$i]=$data2['id_albumtheme'];
			$i++;
}
		
while ($data=mysql_fetch_array($query))
	{
		if($id_user!='' and count($data3)!=0)
		$check=(array_search($data['id_albumtheme'],$data3) ) ? 'checked':'';
		echo '<input   class="cbradio" name="id_albumtheme[]" type="checkbox" value="'.$data['id_albumtheme'].'" '.$check.'>'. $data['nom_albumtheme'].'<br />';
	}
			
}
function photos_albumthemes($id_photo){
$sql='Select *  FROM '.MYSQL_PREFIX.'albumthemes order by nom_albumtheme ';
$query=mysql_query($sql) or die('Erreur SQL !'.$sql.'<br>'.mysql_error());

$sql2='Select id_albumtheme  FROM '.MYSQL_PREFIX.'albumthemes_photos where id_photo=\''.$id_photo.'\'';
$query2=mysql_query($sql2) or die('Erreur SQL !'.$sql2.'<br>'.mysql_error());

$i=1;
while ($data2=mysql_fetch_array($query2)){
			$data3[$i]=$data2['id_albumtheme'];
			$i++;
}
		
while ($data=mysql_fetch_array($query))
	{
		if($id_photo!='' and count($data3)!=0)
		$check=(array_search($data['id_albumtheme'],$data3) ) ? 'checked':'';
		echo '<input   class="cbradio" name="id_albumtheme[]" type="checkbox" value="'.$data['id_albumtheme'].'" '.$check.'>';
		echo '&nbsp;<a href="./?p=photos&typealbum=Theme&album=Theme&id_albumtheme='.$data['id_albumtheme'].'&title_album='.$data['nom_albumtheme'].'">'.$data['nom_albumtheme'].'</a><br />';
	}
			
}

function edit_photos_albumthemes($nomchamp){
$sql='Select *  FROM '.MYSQL_PREFIX.'albumthemes order by nom_albumtheme ';
$query=mysql_query($sql) or die('Erreur SQL !'.$sql.'<br>'.mysql_error());
	
while ($data=mysql_fetch_array($query))
	{
		
		echo '<input   class="cbradio" name="'.$nomchamp.'[]" type="checkbox" value="'.$data['id_albumtheme'].'" >';
		echo '&nbsp;<a href="./?p=photos&typealbum=Theme&album=Theme&id_albumtheme='.$data['id_albumtheme'].'&title_album='.$data['nom_albumtheme'].'">'.$data['nom_albumtheme'].'</a><br />';
	}
			
}

function select_albumthemes($selected,$onchange){
$sql='Select *  FROM '.MYSQL_PREFIX.'albumthemes order by nom_albumtheme';
$query=mysql_query($sql) or die('Erreur SQL !'.$sql.'<br>'.mysql_error());
		echo '<select   name="id_albumtheme" onchange="'.$onchange.'"><option value=""></option>';
		while ($data=mysql_fetch_array($query))
		{
		$select = ($data['id_albumtheme']==$selected) ? ' selected ' : '';
		
		echo '<option  value="'.$data['id_albumtheme'].'"  '.$select.'>'. $data['nom_albumtheme'].'</option>';
		}
		echo '</select>';
}


function albumthemes_users($id_albumtheme){
$sql='Select *  from '.MYSQL_PREFIX.'users order by login_user ';
$query=mysql_query($sql) or die('Erreur SQL !'.$sql.'<br>'.mysql_error());

$sql2='Select id_user  FROM '.MYSQL_PREFIX.'users_albumthemes where id_albumtheme=\''.$id_albumtheme.'\'';
$query2=mysql_query($sql2) or die('Erreur SQL !'.$sql2.'<br>'.mysql_error());

$i=1;
while ($data2=mysql_fetch_array($query2)){
			$data3[$i]=$data2['id_user'];
			$i++;
}
		
while ($data=mysql_fetch_array($query))
	{
		if($id_albumtheme!='' and count($data3)!=0)
		$check=(array_search($data['id_user'],$data3) ) ? 'checked':'';
		if(!is_admin($data['id_user'])) echo '<input class="cbradio" name="id_user[]" type="checkbox" value="'.$data['id_user'].'" '.$check.'>'. $data['login_user'].'<br />';
	}
			
}

//////////////////////////////////////END  ADMIN  PHOTO /////////////////////////////////////

function check_date_zip($dir){
//suppression des 	ZIP a tlcharger de plus de n heures

$now = time();
$dossier=opendir($dir);
  	while ($fichier = readdir($dossier)) {
 	 $l = array('.', '..','zip.php');
  		if (!in_array( $fichier, $l)){
  			if (is_dir($dir.'/'.$fichier)){
			check_date_zip($dir.'/'.$fichier);
  			}
  			else{
  				if (filemtime($dir.'/'.$fichier)+3600* NBTIMEZIP<$now){
  					echo '<span class=red>'.$dir.'/'.$fichier.' Date= '.date("d F Y H:i:s.",filemtime($dir.'/'.$fichier)).'==>Suppression</span><br>';
  					unlink($dir.'/'.$fichier);
  				}
  				else{
  					echo '<span class=green>'.$dir.'/'.$fichier.' Date= '.date("d F Y H:i:s.",filemtime($dir.'/'.$fichier)).'==>Ok</span><br>';
  				
  				}
  			}
  		}
  	}
}

function check_temp_zip($dir){
//suppression des 	ZIP ou temp rest  la racine suite a une erreur dans la gnration de fichier ZIP (timeout)

$now = time();
$dossier=opendir($dir);
while ($fichier = readdir($dossier)) {
 	  $l = array('.zip', '.temp'); 	
  	if (is_file($dir.'/'.$fichier)){
  	  $ext=strtolower(strrchr($fichier,'.'));
  		if (in_array( $ext, $l)){
					if (filemtime($dir.'/'.$fichier)+3600<$now){
  					echo '<span class=red>'.$dir.'/'.$fichier.' Date= '.date("d F Y H:i:s.",filemtime($dir.'/'.$fichier)).'==>Suppression</span><br>';
  					unlink($dir.'/'.$fichier);
  				}//if (filemtime("$dir/$fichier")+3600<$now){  				
  		} //	if (!in_array( $ext, $l)){
  	}// if (is_file($dir."/".$fichier)){
} // while
} //function

function check_file($dossier,$urlfichier){

if( !preg_match( "/^.*\/$/", $dossier ) ) $dossier .= '/';
$dossierInit=$dossier;
//$dossier=DOCUMENT_ROOT.'/'.dirname($PHP_SELF).$dossier;
$dossier=DOCUMENT_ROOT.'/'.$dossier;
echo '<br><span class=TITRE2>traitement du dossier '.$dossier.'</span><br>';
$handle = @opendir( $dossier );
  
// si pas d'erreur d'ouverture du dossier on lance le scan
if( $handle != false ){
   
  // Parcours du repertoire
	while( $item = readdir($handle)){
   		if($item != '.' && $item != '..'){
    		if(is_file( $dossier.$item )){
    			$sql='Select *  from '.MYSQL_PREFIX.'doc where '.$urlfichier.'=\''.$dossierInit.$item.'\'';
				$query=mysql_query($sql) or die('Erreur SQL !'.$sql.'<br>'.mysql_error());
				
    			$nbreq=mysql_affected_rows();
    			if ($nbreq==0){
    				unlink( $dossier.$item ); 
   					echo '<span class=red>supression de '. $dossier.$item.' </span><br>';
    			}
    			else{
    					echo '<span class=green> '. $dossier.$item.' ==>OK</span><br>';
    		
    			}
    		}		
   		}
  	}
}
echo '<hr>';
}

function show_all_zip($dir){
//affichage des zip
$now = time();
$dossier=opendir($dir);
echo '<tr><td colspan=5></td></tr>';
$taille=0;
  	while ($fichier = readdir($dossier)) {
 	 $l = array('.', '..','zip.php','index.html');
  		if (!in_array( $fichier, $l)){
  			if (is_dir($dir.'/'.$fichier)){
  			show_all_zip($dir.'/'.$fichier);
  			}
  			else{
  		
		
  			echo '<tr>';
			echo '<td class="value" height="30px">'.$fichier.'</td>';
  			echo '<td class="value" align="right">'.round((filesize($dir.'/'.$fichier)/1048576),2).' Mo &nbsp;</td>';
			echo '<td class="value">'.date ("d F Y H:i:s",filemtime($dir.'/'.$fichier)).' </td>';
			echo '<td class="value"><img src="img/';
			if (filemtime($dir.'/'.$fichier)+3600* NBTIMEZIP<$now)echo '0';else echo '1';
			echo'.png"></td>';
			
			echo '<td class="value">';
			echo '<input class="cbradio" name="zip_file[]" type="checkbox" value="'.$dir.'/'.$fichier.'"><br />';
	
			echo '</td>';
			echo '</tr>';
				
			$taille+=filesize($dir.'/'.$fichier);
		
  			}
  		}
  	}
  	if($taille!=0){
  	$_SESSION['taillezip']+=$taille;
  	echo '<tr><td class="lib">Total '.$dir.'</td><td class="lib"align="right">'.round($taille/1048576,2).' Mo</td><td class="lib"><td class="lib"><td class="lib"></tr>';
	echo '<tr><td colspan="5" width="20" >&nbsp;</td></tr>';
  	}
}
function show_date_zip_old($dir){
//affichage des zip

$dossier=opendir($dir);
echo '<tr><td colspan=3></td></tr>';
$taille=0;
  	while ($fichier = readdir($dossier)) {
 	 $l = array('.', '..','zip.php');
  		if (!in_array( $fichier, $l)){
  			if (is_dir($dir.'/'.$fichier)){
  			show_date_zip_old($dir.'/'.$fichier);
  			}
  			else{
  		
		
  			echo '<tr>';
			echo '<td class="value" height="30px">'.$fichier.'</td>';
  			echo '<td class="value" align="right">'.round((filesize($dir.'/'.$fichier)/1048576),2).' Mo &nbsp;</td>';
			echo '<td class="value">'.date ("d F Y H:i:s",filemtime($dir.'/'.$fichier)).' </td>';
			echo '</tr>';
				
			$taille+=filesize($dir.'/'.$fichier);
		
  			}
  		}
  	}
  	if($taille!=0){
  	$_SESSION['taillezip']+=$taille;
  	echo '<tr><td class="lib">Total '.$dir.'</td><td class="lib"align="right">'.round($taille/1048576,2).' Mo</td><td class="lib"></tr>';
	echo '<tr><td colspan=3></td></tr>';
  	}
}


function show_big_photo($dir){


$dossier=opendir($dir);
//echo '<tr><td colspan=5></td></tr>';
$taille=0;
  	while ($fichier = readdir($dossier)) {
 	 $l = array('.', '..','index.html',REPSMALL,REPMEDIUM);
  		if (!in_array( $fichier, $l)){
  			if (is_dir($dir.'/'.$fichier)){
  			show_big_photo($dir.'/'.$fichier);
  			}
  			else{
  		
			if (filesize($dir.'/'.$fichier)/1024>TAILLE_MAX_PHOTO){
			$sql='Select *  FROM '.MYSQL_PREFIX.'photos,'.MYSQL_PREFIX.'albums  where ('.MYSQL_PREFIX.'photos.id_album='.MYSQL_PREFIX.'albums.id_album and ('.MYSQL_PREFIX.'photos.nom_photo=\''.$fichier.'\'))  ';	
			$query=mysql_query($sql) or die('Erreur SQL !'.$sql.'<br>'.mysql_error());
			$nb = mysql_num_rows($query);

			if($nb==0){
			$exif = @exif_read_data(DOCUMENT_ROOT.'/'.$dir.'/'.$fichier, 0, true);
			$date_exif_photo=$exif['EXIF']['DateTimeOriginal'];
  			echo '<tr>';
			echo '<td class="value" ><a href="'.''.''.$dir.'/'.$fichier.'" target="_blank">'.$dir.'/'.$fichier.'</a></td>';
  			echo '<td class="value" align="right">'.round((filesize($dir.'/'.$fichier)/1024),2).' Ko &nbsp;</td>';
			
			echo '<td class="value">'.$date_exif_photo.' </td>';
			echo '<td class="value"><a href="'.''.''.$dir.'/'.$fichier.'" target="_blank"><img src="'.''.''.$dir.'/'.$fichier.'" width="100"></a></td>';
						
			echo '<td class="value"  align="center">';
			echo '<input class="cbradio" name="big_photo[]" type="checkbox" value="'.$dir.'/'.$fichier.'">';
			echo '</td>';
			echo '</tr>';
			}	//if($nb==0){
			
		
  			} //if (filesize($dir.'/'.$fichier)/1024>TAILLE_MAX_PHOTO){
  			} //else
  		}
  	}
  
}



function stat_connexion(){
$sql='Select *  FROM '.MYSQL_PREFIX.'users  ';
$query=mysql_query($sql) or die('Erreur SQL !'.$sql.'<br>'.mysql_error());
$tot_admin=0;
$tot_not_admin=0;
$date_ini_stat='3000-00-00 00:00:00';

while ($data=mysql_fetch_array($query))
	{
	echo '<tr class="value">';
	echo'<td>'.$data['id_user'].'</td>';
	echo'<td>'.$data['login_user'].'</td>';

	
	$file=DOCUMENT_ROOT.'/stat/'.$data['id_user'];
	if (file_exists($file)){		
		$fp=fopen($file,"r");// on ouvre le fichier en 'lecture'
		//$line=fread($fp,1024);// on lit le fichier 		
		$tab = file($file);  // place le fichier dans un tableau
    	$nb = count($tab);    // compte le nombre de ligne 
		$date=date ("d F Y H:i:s",filemtime($file));
		
		$date_created=fread($fp,19);// premire date 
		if($date_created<$date_ini_stat)$date_ini_stat=$date_created;
		
		echo'<td>'.$nb.'</td>';
		echo'<td>'.$date.'</td>';	
		echo'<td><a href="stat/'.$data['id_user'].'?'.date ("d F Y H:i:s").'" target=_blank>+</a></td>';
		
		if (is_admin($data['id_user'])){
		$tot_admin+=$nb;			
		}
		else{
			$tot_not_admin+=$nb;
		}
	}
	else{
		echo'<td></td>';
		echo'<td></td>';
		echo'<td></td>';
	}
	
	echo '</tr>';
	}
	echo '<tr><td colspan="5"></td></tr>';
	echo '<tr class="value"><td></td><td>Total admin</td><td>'.$tot_admin.'</td><td></td><td></td></tr>';
	echo '<tr class="value"><td></td><td>Total user</td><td>'.$tot_not_admin.'</td><td></td><td></td></tr>';
	echo '<tr class="value"><td></td><td>Total </td><td>'.($tot_admin+$tot_not_admin).'</td><td></td><td></td></tr>';

echo '</table>';
if($date_ini_stat!='3000-00-00 00:00:00' && STAT){
	echo "<script>document.getElementById('date_ini_stat').innerHTML=' depuis le $date_ini_stat';</script>";
}
}
function delete_stat_connexion(){
 	
$dossier=opendir(DOCUMENT_ROOT.'/stat');
$l = array('.', '..','index.html');
  		
  	while ($fichier = readdir($dossier)) {
  		if (!in_array( $fichier, $l))
 		unlink(DOCUMENT_ROOT.'/stat/'.$fichier);
 		//echo  '' .$fichier.'<br>';
  		}
  	echo '<br><br><br><center><span class="TITRE1">Statistiques de connexion r&eacute;initialis&eacute;</span></center>';
 }
 
 function keyword_list($name,$keyword,$selected_value){
 	$selected='';
   	$selected[$selected_value]='selected';
   	$list=explode(';',$keyword);
 	$temp= '<select class="list" name="'.$name.'">';
   	foreach ($list as &$value) {
   		$temp.=		 '<option '.$selected[$value].' value="'.$value.'">'.$value.'</option>'; 
   	}   
   	$temp.=	 '</select>';
   	return $temp;
 }
 
function liste_deroulante_nombre($name,$valeurs,$defaut){
$selected='';
$selected[$defaut]='selected';
	echo '<select class="list" name="'.$name.'" id="'.$name.'">';
	
foreach ($valeurs as $value) {
   	echo	 '<option '.$selected[$value].' value='.$value.'>'.$value.'</option>';
  }
  echo '</select>';
}
 
//menu DOC
function create_menu_doc($cat,$alias_cat,$menu_sort,$menu_sens,$doc_sort,$doc_sens){
	$sql='SELECT * FROM '.MYSQL_PREFIX.'doc where (cat=\''.$cat.'\' and pub=1) order by '.$menu_sort.' '.$menu_sens;
	
	$req=mysql_query($sql) or die('Erreur SQL !'.$sql.'<br>'.mysql_error());
	$i=0;
	if(mysql_affected_rows()){
		$menu_cat = 'newNode_'.$cat.'=objTreeMenu_1.addItem(new TreeNode(\' '.$alias_cat.'\', \''.$cat.'.gif\', \'./?p=doc&cat='.$cat.'&sort='.$doc_sort.'&sens='.$doc_sens.'\', false, true, \'\', \'\', \''.$cat.'.gif\'));';
	
		while($data = mysql_fetch_assoc($req)){
		$menu_cat_rub[$i]='newNode_'.$cat.'_'.$data['rub'].' = newNode_'.$cat.'.addItem(new TreeNode(\''.$data['rub'].'\', \'page.gif\', \'./?p=doc&cat='.$cat.'&rub='.$data['rub'].'&sort='.$doc_sort.'&sens='.$doc_sens.'\', false, true, \'\', \'\', null));';
		$i++;
		}
		$menu_cat_rub=array_unique($menu_cat_rub);
	}
	// a optimiser  remplacer les ' par \' str_replace
	if (count($menu_cat_rub)) return $menu_cat.implode('', $menu_cat_rub);	
}


function delete_ghost_album_mysql(){
$sql='Select *  FROM '.MYSQL_PREFIX.'albums order by path_album ';
$query=mysql_query($sql) or die('Erreur SQL !'.$sql.'<br>'.mysql_error());
while ($data=mysql_fetch_array($query)){
	if (file_exists (PATHPHOTOS.'/'.$data['path_album'])){
		echo '<span class="green">'.PATHPHOTOS.'/'.$data['path_album'].' existe==>OK</span><br>';
	}
	else{
		$sqldel='delete   FROM '.MYSQL_PREFIX.'albums where path_album=\''.$data['path_album'].'\'';
		$querydel=mysql_query($sqldel) or die('Erreur SQL !'.$sqldel.'<br>'.mysql_error());
		echo '<span class="red">'.PATHPHOTOS.'/'.$data['path_album'].' n\'existe pas==>supression ligne mysql '.$data['path_album'].'</span><br>';
		
		$sqldel='delete   FROM '.MYSQL_PREFIX.'photos where id_album=\''.$data['id_album'].'\'';
		$querydel=mysql_query($sqldel) or die('Erreur SQL !'.$sqldel.'<br>'.mysql_error());
		echo '<span class="red">&nbsp;&nbsp;&nbsp;&nbsp;==>supression ligne mysql photos rataches   '.$data['id_album'].'</span><br>';
	
	
	}
	
}
}

/////////////////fonction edition
function rotatePhoto($id_photo,$angle){
	
		$sql=sql_edit_photo($id_photo);
		
		$query=mysql_query($sql) or die('Erreur SQL !'.$sql.'<br>'.mysql_error());
		$data = mysql_fetch_assoc($query);
		
		$small=PATHPHOTOS.'/'.$data['path_album'] . '/'.REPSMALL .'/'.REPSMALL .'-'. $data['nom_photo'];
		$medium=PATHPHOTOS.'/'.$data['path_album'] . '/'.REPMEDIUM .'/'.REPMEDIUM .'-'. $data['nom_photo'];
		ini_set("memory_limit",MEMORY_LIMIT.'M');// pour le traitement des grosse images
 		
		$typeimage= getimagesize(PATHPHOTOS.'/'.$data['path_album'] .'/'. $data['nom_photo']);
		
		switch($typeimage[2]){
			//-> type de l'image : 1 = GIF , 2 = JPG,JPEG ,3 =PNG
			case '1':
			$source = imagecreatefromgif($small);
			$rotate=imagerotate($source, $angle, 0);
			imagegif($rotate,''.$small,100);
		
			$source = imagecreatefromgif($medium);
			$rotate=imagerotate($source, $angle, 0);
			imagegif($rotate,''.$medium,100);	
			break;
			
			case '2':
			
			$source = imagecreatefromjpeg($small);
			$rotate=imagerotate($source, $angle, 0);
			imagejpeg($rotate,''.$small,100);
		
			$source = imagecreatefromjpeg($medium);
			$rotate=imagerotate($source, $angle, 0);
			imagejpeg($rotate,''.$medium,100);
			break;
			
			case '3':
			$source = imagecreatefrompng($small);
			$rotate=imagerotate($source, $angle, 0);
			imagepng($rotate,''.$small,100);
		
			$source = imagecreatefrompng($medium);
			$rotate=imagerotate($source, $angle, 0);
			imagepng($rotate,''.$medium,100);	
			break;
		
		}
		
}

function regenererVignette($id_photo,$TAILLESMALL,$WIDTHMEDIUM,$HEIGHTMEDIUM){

		$sql=sql_edit_photo($id_photo);
		$query=mysql_query($sql) or die('Erreur SQL !'.$sql.'<br>'.mysql_error());
		$data = mysql_fetch_assoc($query);
		@unlink(PATHPHOTOS.'/'.$data['path_album'].'/'.REPSMALL.'/'.REPSMALL.'-'.$data['nom_photo']);
		//$TAILLESMALL=$_GET['TAILLESMALL'];
	//	$WIDTHMEDIUM=$_GET['WIDTHMEDIUM'];
		//$HEIGHTMEDIUM=$_GET['HEIGHTMEDIUM'];
		creation_vignette($data['nom_photo'],$TAILLESMALL,$TAILLESMALL,PATHPHOTOS.'/'.$data['path_album'].'/',REPSMALL);
		
		@unlink(PATHPHOTOS.'/'.$data['path_album'].'/'.REPMEDIUM.'/'.REPMEDIUM.'-'.$data['nom_photo']);		
		creation_vignette($data['nom_photo'],$WIDTHMEDIUM,$HEIGHTMEDIUM,PATHPHOTOS.'/'.$data['path_album'].'/',REPMEDIUM);
}	


function getAttributsPhoto($id_photo,$attribut){
$sql=sql_edit_photo($id_photo);
$query=mysql_query($sql) or die('Erreur SQL !'.$sql.'<br>'.mysql_error());
$data = mysql_fetch_assoc($query);
$info=image_infos($data['nom_photo'],$data['path_album']);
return $info[$attribut];
}



function photototrash($id_photo){
$sql='Select *  FROM '.MYSQL_PREFIX.'photos  where (id_photo= \''.$id_photo.'\')';
	$query=mysql_query($sql) or die('Erreur SQL !'.$sql.'<br>'.mysql_error());
	$data = mysql_fetch_assoc($query);
	
	$sql='Insert into '.MYSQL_PREFIX.'photos_trash values(\''.$id_photo.'\',\''.$data['id_album'].'\',\''.$data['nom_photo'].'\',\''.$data['KW_photo'].'\',\''.$data['date_exif_photo'].'\',\''.$data['width_photo'].'\',\''.$data['height_photo'].'\',\''.$data['size_photo'].'\')';
	$query=mysql_query($sql) or die();//('Erreur SQL !'.$sql.'<br>'.mysql_error());
	
	// on efface la photo de son album
	$sql='delete FROM '.MYSQL_PREFIX.'photos where   id_photo=\''.$id_photo.'\' ';
	$query=mysql_query($sql) or die('Erreur SQL !'.$sql.'<br>'.mysql_error());
	
	
	// on efface la photo des album perso
	$sql='delete FROM '.MYSQL_PREFIX.'albumperso_photos where   id_photo=\''.$id_photo.'\' ';
	$query=mysql_query($sql) or die('Erreur SQL !'.$sql.'<br>'.mysql_error());
	
	// on efface la photo des album themeatique
	$sql='delete FROM '.MYSQL_PREFIX.'albumthemes_photos where   id_photo=\''.$id_photo.'\' ';
	$query=mysql_query($sql) or die('Erreur SQL !'.$sql.'<br>'.mysql_error());	

}
?>
